curl --request POST \
--url https://app.ezyshield.com.au/api/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_name": "<string>",
"business_abn": "<string>",
"account_name": "<string>",
"account_bsb": "<string>",
"account_number": "<string>",
"individual_name": "<string>",
"individual_mobile": "<string>",
"individual_email": "[email protected]",
"verify_identity": true,
"send_individual_authentication_sms": true,
"send_individual_authentication_email": true,
"attribution_id": "<string>"
}
'import requests
url = "https://app.ezyshield.com.au/api/verifications"
payload = {
"business_name": "<string>",
"business_abn": "<string>",
"account_name": "<string>",
"account_bsb": "<string>",
"account_number": "<string>",
"individual_name": "<string>",
"individual_mobile": "<string>",
"individual_email": "[email protected]",
"verify_identity": True,
"send_individual_authentication_sms": True,
"send_individual_authentication_email": True,
"attribution_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_name: '<string>',
business_abn: '<string>',
account_name: '<string>',
account_bsb: '<string>',
account_number: '<string>',
individual_name: '<string>',
individual_mobile: '<string>',
individual_email: '[email protected]',
verify_identity: true,
send_individual_authentication_sms: true,
send_individual_authentication_email: true,
attribution_id: '<string>'
})
};
fetch('https://app.ezyshield.com.au/api/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.ezyshield.com.au/api/verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'business_name' => '<string>',
'business_abn' => '<string>',
'account_name' => '<string>',
'account_bsb' => '<string>',
'account_number' => '<string>',
'individual_name' => '<string>',
'individual_mobile' => '<string>',
'individual_email' => '[email protected]',
'verify_identity' => true,
'send_individual_authentication_sms' => true,
'send_individual_authentication_email' => true,
'attribution_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.ezyshield.com.au/api/verifications"
payload := strings.NewReader("{\n \"business_name\": \"<string>\",\n \"business_abn\": \"<string>\",\n \"account_name\": \"<string>\",\n \"account_bsb\": \"<string>\",\n \"account_number\": \"<string>\",\n \"individual_name\": \"<string>\",\n \"individual_mobile\": \"<string>\",\n \"individual_email\": \"[email protected]\",\n \"verify_identity\": true,\n \"send_individual_authentication_sms\": true,\n \"send_individual_authentication_email\": true,\n \"attribution_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.ezyshield.com.au/api/verifications")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"business_name\": \"<string>\",\n \"business_abn\": \"<string>\",\n \"account_name\": \"<string>\",\n \"account_bsb\": \"<string>\",\n \"account_number\": \"<string>\",\n \"individual_name\": \"<string>\",\n \"individual_mobile\": \"<string>\",\n \"individual_email\": \"[email protected]\",\n \"verify_identity\": true,\n \"send_individual_authentication_sms\": true,\n \"send_individual_authentication_email\": true,\n \"attribution_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.ezyshield.com.au/api/verifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"business_name\": \"<string>\",\n \"business_abn\": \"<string>\",\n \"account_name\": \"<string>\",\n \"account_bsb\": \"<string>\",\n \"account_number\": \"<string>\",\n \"individual_name\": \"<string>\",\n \"individual_mobile\": \"<string>\",\n \"individual_email\": \"[email protected]\",\n \"verify_identity\": true,\n \"send_individual_authentication_sms\": true,\n \"send_individual_authentication_email\": true,\n \"attribution_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "verifications",
"attributes": {
"status": "<string>",
"send_individual_authentication_sms": "<string>",
"send_individual_authentication_email": "<string>",
"attribution_id": "<string>",
"individual_authentication_url": "<string>",
"failure_reason": "<string>",
"check_results": [
{
"type": "bank_account_exists",
"result": true
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Create a verification
Requires the verification:write ability.
curl --request POST \
--url https://app.ezyshield.com.au/api/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_name": "<string>",
"business_abn": "<string>",
"account_name": "<string>",
"account_bsb": "<string>",
"account_number": "<string>",
"individual_name": "<string>",
"individual_mobile": "<string>",
"individual_email": "[email protected]",
"verify_identity": true,
"send_individual_authentication_sms": true,
"send_individual_authentication_email": true,
"attribution_id": "<string>"
}
'import requests
url = "https://app.ezyshield.com.au/api/verifications"
payload = {
"business_name": "<string>",
"business_abn": "<string>",
"account_name": "<string>",
"account_bsb": "<string>",
"account_number": "<string>",
"individual_name": "<string>",
"individual_mobile": "<string>",
"individual_email": "[email protected]",
"verify_identity": True,
"send_individual_authentication_sms": True,
"send_individual_authentication_email": True,
"attribution_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_name: '<string>',
business_abn: '<string>',
account_name: '<string>',
account_bsb: '<string>',
account_number: '<string>',
individual_name: '<string>',
individual_mobile: '<string>',
individual_email: '[email protected]',
verify_identity: true,
send_individual_authentication_sms: true,
send_individual_authentication_email: true,
attribution_id: '<string>'
})
};
fetch('https://app.ezyshield.com.au/api/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.ezyshield.com.au/api/verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'business_name' => '<string>',
'business_abn' => '<string>',
'account_name' => '<string>',
'account_bsb' => '<string>',
'account_number' => '<string>',
'individual_name' => '<string>',
'individual_mobile' => '<string>',
'individual_email' => '[email protected]',
'verify_identity' => true,
'send_individual_authentication_sms' => true,
'send_individual_authentication_email' => true,
'attribution_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.ezyshield.com.au/api/verifications"
payload := strings.NewReader("{\n \"business_name\": \"<string>\",\n \"business_abn\": \"<string>\",\n \"account_name\": \"<string>\",\n \"account_bsb\": \"<string>\",\n \"account_number\": \"<string>\",\n \"individual_name\": \"<string>\",\n \"individual_mobile\": \"<string>\",\n \"individual_email\": \"[email protected]\",\n \"verify_identity\": true,\n \"send_individual_authentication_sms\": true,\n \"send_individual_authentication_email\": true,\n \"attribution_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.ezyshield.com.au/api/verifications")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"business_name\": \"<string>\",\n \"business_abn\": \"<string>\",\n \"account_name\": \"<string>\",\n \"account_bsb\": \"<string>\",\n \"account_number\": \"<string>\",\n \"individual_name\": \"<string>\",\n \"individual_mobile\": \"<string>\",\n \"individual_email\": \"[email protected]\",\n \"verify_identity\": true,\n \"send_individual_authentication_sms\": true,\n \"send_individual_authentication_email\": true,\n \"attribution_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.ezyshield.com.au/api/verifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"business_name\": \"<string>\",\n \"business_abn\": \"<string>\",\n \"account_name\": \"<string>\",\n \"account_bsb\": \"<string>\",\n \"account_number\": \"<string>\",\n \"individual_name\": \"<string>\",\n \"individual_mobile\": \"<string>\",\n \"individual_email\": \"[email protected]\",\n \"verify_identity\": true,\n \"send_individual_authentication_sms\": true,\n \"send_individual_authentication_email\": true,\n \"attribution_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "verifications",
"attributes": {
"status": "<string>",
"send_individual_authentication_sms": "<string>",
"send_individual_authentication_email": "<string>",
"attribution_id": "<string>",
"individual_authentication_url": "<string>",
"failure_reason": "<string>",
"check_results": [
{
"type": "bank_account_exists",
"result": true
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
status, send_individual_authentication_sms, send_individual_authentication_email, attribution_id, individual_authentication_url, failure_reason, check_results, created_at, updated_at Body
Business name. When present, business_abn is required and business checks are run.
255Australian Business Number (ABN). Must be 11 digits. Required when business_name is present.
Bank account name. When present, account_bsb and account_number are required (all-or-none).
255Bank State Branch (BSB) code. Must be 6 digits. Required when account_name is present.
^[0-9]{6}$Bank account number. Must be 6-10 digits. Required when account_name is present.
^[0-9]{6,10}$Individual's full legal name. When present, verify_identity is required and individual checks are run. Must include a space between first name(s) and last name (e.g., "John Michael Doe").
255^[^\s]+\s+[^\s]+Individual's Australian mobile number. Required when send_individual_authentication_sms is true.
The mobile number is also used for the individual's identity fingerprint. When successive
verifications are requested via a common attribution_id, the mobile number is used to
identify the individual across verifications.
^(?:\+?61\s?|0)?4(\d{2})\s?(\d{3})\s?(\d{3})$Individual's email address.
Whether to verify the individual's identity. - true: Verify the individual's identity via KYC.
false: Sanctions screening only (no identity verification).
Required when individual_name is present. Must be omitted when individual_name is omitted.
Whether to send the identity authentication link to the individual via SMS. KYC verifications require at least one authentication link delivery channel.
Must be omitted when verify_identity is false or when individual_name is omitted.
Whether to send the identity authentication link to the individual via email. KYC verifications require at least one authentication link delivery channel.
Must be omitted when verify_identity is false or when individual_name is omitted.
Attribution identifier for grouping related verifications.
255Response
VerificationResource
Show child attributes
Show child attributes